package com.cim.idm.mwmsextend.materialshiprequest.service;

import java.util.ArrayList;
import java.util.List;

import com.cim.idm.framework.IDMFrameServiceProxy;

public class MaterialShipRequestDetailServiceUtil {

	public List<String> getShipRequestDetail(String invoiceNo){
		String sql = "SELECT SHIPREQUESTDETAILNAME FROM MATERIALSHIPREQUESTDETAIL\n" +
				" WHERE  SHIPREQUESTNAME= ?";
		Object[] bindSet = new Object[] { invoiceNo };
	String[][]	result= IDMFrameServiceProxy.getSqlTemplate().queryForStringArray(sql, bindSet);
		//List result = IDMFrameServiceProxy.getSqlTemplate().getJdbcTemplate().queryForList(sql, bindSet);

	List<String> returnValue = new ArrayList<String>();
	
	for (String[] row : result)
		returnValue.add(row[0].toString());
	
	return returnValue;
	}
	
}
